using Toybox.Graphics as Gfx;
using Toybox.Math as Math;

using C as C;

class Hash
{

var max;
var len;
var width;
var vert = new [4];

public function initialize(max, len, width)
{

    me.max = max;
    me.len = len;
    me.width = width;

    var w2 = width / 2;
    vert[0] = [ -w2, -max + len];
    vert[1] = [ -w2, -max ];
    vert[2] = [ +w2, -max ];
    vert[3] = [ +w2, -max + len ];
}

public function start_x()
{

    return max - len;
}

public function show(dc, val, max)
{

    var a = (((Math.PI * 2) * val) / max) + (Math.PI/2);
    var v = C.translate(vert, C.center_x, C.center_y, a);
    dc.fillPolygon(v);
}
}
